Summary:	Hard disk primary partition table reconstruction
Name:		gpart
Version:	0.1h
Release:	%mkrel 7
License:	GPL
Source0:	%{name}-%{version}.tar.bz2
Group:		System/Kernel and hardware
URL:		http://home.pages.de/~michab/gpart/
Patch0:		gpart-0.1h-mdkconf.patch
Patch1:		gpart-errno.patch
Patch2:		gpart-0.1h-fixes.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
A tool which tries to guess the primary partition table of a PC-type hard disk
in case the primary partition table in sector 0 is damaged, incorrect or
deleted. The guessed table can be written to a file or device. Supported
(guessable) filesystem or partition types: DOS/Windows FAT, Linux ext2 and
swap, OS/2 HPFS, Windows NTFS, FreeBSD and Solaris/x86 disklabels, Minix FS,
QNX 4 FS, Reiser FS, LVM physical volumes, BeOS FS, SGI XFS.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1 -b .fixes

%build
%make 

%install
rm -rf %{buildroot}

install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_mandir}/man8

install -m0755 src/%{name} %{buildroot}%{_bindir}/
install -m0755 man/%{name}.8 %{buildroot}%{_mandir}/man8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING Changes README
%{_bindir}/%{name}
%{_mandir}/man8/*


%changelog
* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1h-7mdv2007.1
+ Revision: 145247
- Import gpart



* Fri Mar 16 2007 Oden Eriksson <oeriksson@mandriva.com> 0.1h-7mdv2007.1
- use the %%mrel macro
- bunzip patches

* Wed Feb 02 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.1h-6mdk
- rebuild

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.1h-5mdk
- Patch2: Portability fixes to 64-bit & big-endian platforms

* Mon Apr 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1h-4mdk
- patch1: gpart-errno.patch

* Thu Aug 29 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.1h-3mdk
- rebuild

* Thu Jul 19 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.1h-2mdk
- rebuild

* Sun Feb 18 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.1h-1mdk
- First mandrake version.

# end of file
